# Makefile for callback directory
#
# cdev callback directory
#
# Makefile,v
# Revision 1.7  1998/08/17  14:04:48  akers
# Added 'Minor Version Number' to TARGETDIR in Makefiles
#
# Revision 1.6  1996/09/20  12:24:52  akers
# Changes added for Release 1.4
#
# Revision 1.4  1996/06/26  15:54:09  akers
# Modifications to support multiple OS Versions
#
# Revision 1.3  1996/05/14  20:38:03  akers
# Makefile modifications
#
# Revision 1.2  1995/11/14  17:27:57  chen
# new makefile
#
#
include ../Makefile.config

ifeq ($(SHOBJ),YES)
	OBJTYPE=.shobj/$(TARGETDIR)
else
	OBJTYPE=.obj/$(TARGETDIR)
endif

ifeq ($(INCDIR), )
	INCDIR = ../..
endif

OBJS = $(OBJTYPE)/cdevCallback.o 

targets: $(OBJTYPE) $(OBJDIR)/$(OBJTYPE) copyobjs copyincs

$(OBJTYPE) :
	@mkdir -p $(OBJTYPE)
	
$(OBJDIR)/$(OBJTYPE) :
	@mkdir $(OBJDIR)/$(OBJTYPE)
			
copyobjs: $(OBJS)
	@cp -f $(OBJS) $(OBJDIR)/$(OBJTYPE)

copyincs:
	@cp -f *.h $(INCDIR)

clean: clean_hail
	@rm -rf *.o .obj .shobj core *~ 	
